import React from 'react'
import { storiesOf, action, linkTo } from '@kadira/storybook'
import {
  App,
  Pane,
  Content,
  theme
} from '../components'
const { minorScale, majorScale } = theme

export default function formsStory (module) {
  storiesOf('Forms', module)
    .add('usage', () => (
      <App white>
        <Pane white padding={majorScale(10)}>
          <Content markdown>
{`
# Forms (WIP)

General rules for form validation:

* Show validation after submit
* After submit show validation messages onChange
* Avoid negative feedback (red colors, negative tone of voice)
* Show helpful information under a field when necessary
* Clicking labels should focus the corresponding field htmlFor + id
* Be lenient in what you accept

See Input and Search Input.

`}
          </Content>
        </Pane>
      </App>
    ))
}
